Skip to main content
GET
Retrieve a custom reference data source

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Response

200 - application/json

OK

id
string<uuid>
required
name
string
required
description
string | null
required
sourceType
enum<string>
required
Available options:
tabular
columns
object[] | null
required
status
enum<string>
required
Available options:
pending,
processing,
ready,
error
recordCount
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
currentSnapshotAt
string<date-time> | null
required
externalId
string | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required